### Method

# Clutter Timeline get_cubic_bezier_progress

#### Declaration [src]

    gboolean
    clutter_timeline_get_cubic_bezier_progress (
      ClutterTimeline* timeline,
      graphene_point_t* c_1,
      graphene_point_t* c_2
    )

#### Description [src]

Retrieves the control points for the cubic bezier progress mode.

#### Parameters

`c_1`

  Type: `graphene_point_t`

  Return location for the first control point of the cubic bezier, or `NULL`.

  The argument will be set by the function.
  The returned data is owned by the instance.

`c_2`

  Type: `graphene_point_t`

  Return location for the second control point of the cubic bezier, or `NULL`.

  The argument will be set by the function.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` if the `timeline` is using a cubic bezier progress more, and `FALSE` otherwise.